Get Model Schema
GET/accounts/{account_id}/ai/models/schema
Retrieves the input and output JSON schema definition for a Workers AI model.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get Model Schema
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/models/schema \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"input": {
"additionalProperties": true,
"description": "JSON Schema definition for the model's input parameters",
"type": "object"
},
"output": {
"additionalProperties": true,
"description": "JSON Schema definition for the model's output format",
"type": "object"
}
},
"success": true
}Returns Examples
{
"result": {
"input": {
"additionalProperties": true,
"description": "JSON Schema definition for the model's input parameters",
"type": "object"
},
"output": {
"additionalProperties": true,
"description": "JSON Schema definition for the model's output format",
"type": "object"
}
},
"success": true
}